This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 250468 - Review Request: vcmd - A developers interface to the Linux-VServer kernel interface
Review Request: vcmd - A developers interface to the Linux-VServer kernel int...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 15:23 EDT by Noah Kantrowitz
Modified: 2008-01-28 16:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 22:20:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noah Kantrowitz 2007-08-01 15:23:16 EDT
Spec URL: http://dev.laptop.org/~coderanger/rpm/vcmd/vcmd.spec
SRPM URL: http://dev.laptop.org/~coderanger/rpm/vcmd/vcmd-0.09-1.fc8.src.rpm
Description: This is a developers tool to access and work with the VServer kernel interface.
Comment 1 Brian Pepple 2007-08-12 10:10:43 EDT
MD5Sum:
ef7787845e698017b370923b919ab023  vcmd-0.09.tar.bz2

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Package builds fine in Mock.

Bad:
* Not all paths use macros.  In particular, look at '/usr/sbin/'.  refer to
http://fedoraproject.org/wiki/Packaging/RPMMacros
* rpmlint produces the following errors:
 W: vcmd no-documentation
This error can be ignored, since the tarball contains no documentation. 

 W: vcmd invalid-license GPL
This error needs to fixed though. I looked through the tarball, and couldn't
find any mention of the license used.  Also, if it is actually GPL, we will need
to clarify what version according to the new license tag guidelines. refer to
http://fedoraproject.org/wiki/Licensing

Note: Looks like a newer version of this package is available.
Comment 2 Noah Kantrowitz 2007-08-14 22:36:03 EDT
Bumped the version to 0.12, which now includes a COPYING file (which is indeed GPL). Fixed the macros 
issue too.

SRPM: http://dev.laptop.org/~coderanger/rpm/vcmd/vcmd-0.12-1.fc8.src.rpm
Spec is in the same place.
Comment 3 Brian Pepple 2007-09-05 20:04:14 EDT
Looks pretty good, but the license is still wrong since GPL is no longer valid.
 Please refer to: http://fedoraproject.org/wiki/Licensing
Comment 4 Brian Pepple 2007-11-12 13:52:41 EST
ping?
Comment 5 Michael Stone 2007-12-11 22:20:41 EST
This package is not needed for OLPC at this time so we're no longer able to
maintain it. If it becomes relevant again, we can reopen the bug. [Anyone else
who's interested should feel free to pick this up if they want it!]

Anyway, thanks very much for the reviews!

Note You need to log in before you can comment on or make changes to this bug.